<?php
/**
 * 
 * @file order_edit.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once('class_order.php');

$url = 'mod_order/order_edit.php';
Common::checkAdminFileAuth($url); //check file authority
$clComOrder = new ComOrder();
$act = kGet('act');
switch ($act) {
    case 'save_add':
        $clComOrder -> addRecords();
        break;

    case 'save_edit':
        $clComOrder -> editRecords();
        break;

    case 'delete':
        $clComOrder -> recycleRecords();
        break;

    case 'delete_forever':
        $clComOrder -> deleteRecords();
        break;

    case 'edit':
        $layout = $clComOrder -> get_layout_order_edit();
        require_once(getAdminTemplatePath('order_edit', $url));
        break;
} 

?>
